--- kdeaddons/noatun-plugins/blurscope/Makefile.am
+++ kdeaddons/noatun-plugins/blurscope/Makefile.am
@@ -2,7 +2,7 @@
 
 kde_module_LTLIBRARIES = noatunblurscope.la
 noatunblurscope_la_SOURCES = sdlscope.cpp scopedisplayer.cpp
-noatunblurscope_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined `$(SDL_CONFIG) --libs`
+noatunblurscope_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined `$(SDL_CONFIG) --plugin-libs`
 noatunblurscope_la_LIBADD = $(LIB_KFILE) -lnoatun -lm
 noatunblurscope_la_METASOURCES = AUTO
 
--- kdeaddons/noatun-plugins/noatunmadness/Makefile.am
+++ kdeaddons/noatun-plugins/noatunmadness/Makefile.am
@@ -2,7 +2,7 @@
 
 kde_module_LTLIBRARIES = noatunmadness.la
 noatunmadness_la_SOURCES = madness.cpp
-noatunmadness_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined `$(SDL_CONFIG) --libs`
+noatunmadness_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined `$(SDL_CONFIG) --plugin-libs`
 noatunmadness_la_LIBADD = $(LIB_KFILE) -lnoatun -lm
 noatunmadness_la_METASOURCES = AUTO
 
